# 
# txt2tags et TeX makefile générique 
#

# Outils
FORGE:=.
TXT2TAGS:=~/bin/txt2tags

###################################################################
# Par convention le source doit avoir le même nom que le répertoire 
## nom du répertoire courant
## Mais ici c'est le dernier fichier t2t qui compte
MAINT2T:= $(notdir $(abspath $(shell ls -rt *.t2t | tail -1)))
MAIN:= $(patsubst %.t2t,%,${MAINT2T})

all: ${MAIN}.pdf

# NB : par défaut aucune sortie : faire make NODEBUG= sinon
NODEBUG= >/dev/null


########## Mise en Forme
%.tex: %.t2t %.bbl config.sujet.t2t sujet.tex
	${TXT2TAGS} -T sujet.tex  -t tex -o $@ $<

include ${FORGE}/Makefile.tex


%.bib.tex:%.bib getbib.t2t
	@echo $*
	${TXT2TAGS} -t tex -o $*.bib.tex getbib.t2t 


%.bbl:%.bib.tex
	pdflatex $<
	rm $*.bib.pdf
	bibtex $*.bib
	mv $*.bib.bbl $@

